curl --request GET \
--url https://api.pagou.ai/v2/transactions/{id} \
--header 'Authorization: Bearer <token>'{
"success": true,
"requestId": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 4503599627370546,
"currency": "BRL",
"buyer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"birth_date": "<string>",
"document": {
"type": "CPF",
"number": "<string>"
},
"address": {
"street": "<string>",
"city": "<string>",
"country": "BR",
"number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"state": "<string>",
"zipCode": "<string>"
}
},
"fee": {
"net_amount": 4503599627370495,
"estimated_fee": 4503599627370495
},
"informations": [
{
"key": "<string>",
"value": "<string>"
}
],
"paid_amount": 4503599627370546,
"method": "pix",
"refunded_amount": 4503599627370495,
"products": [
{
"name": "<string>",
"price": 4503599627370495,
"quantity": 4503599627370496
}
],
"traceable": true,
"splits": [
{
"recipient_id": 0,
"amount": 4503599627370496,
"charge_processing_fee": true
}
],
"status": "authorized",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"voucher": {
"barcode": "<string>",
"digitable_line": "<string>",
"url": "<string>",
"expiration_date": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"receipt_url": "<string>"
},
"external_ref": "<string>",
"installments": 6,
"paid_at": "2023-11-07T05:31:56Z",
"pix": {
"qr_code": "<string>",
"expiration_date": "2023-11-07T05:31:56Z",
"end_to_end_id": "<string>",
"receipt_url": "<string>"
},
"metadata": {},
"ip_address": "127.0.0.1",
"next_action": {
"type": "three_ds_challenge",
"challenge_session_id": "<string>",
"client_secret": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
}Get a transaction
curl --request GET \
--url https://api.pagou.ai/v2/transactions/{id} \
--header 'Authorization: Bearer <token>'{
"success": true,
"requestId": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 4503599627370546,
"currency": "BRL",
"buyer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"birth_date": "<string>",
"document": {
"type": "CPF",
"number": "<string>"
},
"address": {
"street": "<string>",
"city": "<string>",
"country": "BR",
"number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"state": "<string>",
"zipCode": "<string>"
}
},
"fee": {
"net_amount": 4503599627370495,
"estimated_fee": 4503599627370495
},
"informations": [
{
"key": "<string>",
"value": "<string>"
}
],
"paid_amount": 4503599627370546,
"method": "pix",
"refunded_amount": 4503599627370495,
"products": [
{
"name": "<string>",
"price": 4503599627370495,
"quantity": 4503599627370496
}
],
"traceable": true,
"splits": [
{
"recipient_id": 0,
"amount": 4503599627370496,
"charge_processing_fee": true
}
],
"status": "authorized",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"voucher": {
"barcode": "<string>",
"digitable_line": "<string>",
"url": "<string>",
"expiration_date": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"receipt_url": "<string>"
},
"external_ref": "<string>",
"installments": 6,
"paid_at": "2023-11-07T05:31:56Z",
"pix": {
"qr_code": "<string>",
"expiration_date": "2023-11-07T05:31:56Z",
"end_to_end_id": "<string>",
"receipt_url": "<string>"
},
"metadata": {},
"ip_address": "127.0.0.1",
"next_action": {
"type": "three_ds_challenge",
"challenge_session_id": "<string>",
"client_secret": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$